/* Typo */

// Title font
@include googleFontImporter(
  map-get( map-get($title-font, import), family), 
  $subset: map-get(map-get($title-font, import), subset), 
  $weight: map-get(map-get($title-font, import), weight)
);

// Paragraph font
@include googleFontImporter(
  map-get(map-get($body-font, import), family), 
  $subset: map-get(map-get($body-font, import), subset), 
  $weight: map-get(map-get($body-font, import), weight)
);

body {
  @include googleFont(
    $family: map-get(map-get($body-font, include), family),
    $fallback: map-get(map-get($body-font, include), fallback),
    $weight: map-get(map-get($body-font, include), normal)
  );
}

// Headings

h1,
h2,
h3,
h4,
h5,
h6 {
  @include googleFont(
    $family: map-get(map-get($title-font, include), family),
    $fallback: map-get(map-get($title-font, include), fallback),
    $weight: map-get(map-get($title-font, include), normal)
  );

  strong {
    font-weight: map-get(map-get($title-font, include), bold);
  }
}

h2.main_title {
  margin: { 
    top: -1px;
    bottom: 30px;
  }
}

// Links

a {
  color: var(--brand-color-7);
  transition: color 0.2s ease;

  &:hover {
    color: var(--brand-color-6);
    text-decoration: none;
  }

  h1 &,
  h2 &,
  h3 &,
  h4 &,
  h5 &,
  h6 & {
    color: $oc-gray-9;
  }
}

// Images

img {
  max-width: 100%;
  height: auto;
}
